#include <stdio.h>
#include <stdlib.h>

#include "href.h"

HTMLHrefInfo *
htmlhrefinfo_new(char *url)
{
	HTMLHrefInfo *p;
    if ((p = malloc(sizeof(*p))) == NULL) {
        perror("htmlhrefinfo_new");
        exit(1);
    }
	p->url = url;
	return p;
}

void
htmlhrefinfo_delete(HTMLHrefInfo *p)
{
	if (p)
		free(p);
}

void
htmlhrefinfolist_delete(HTMLHrefInfoList l)
{
	HTMLHrefInfo *p = l, *q;
	while (p != NULL) {
		q = p;
		p = p->next;
		htmlhrefinfo_delete(q);
	}
}
