#include <X11/Xlib.h>
#include <X11/Xutil.h>

#include "text.h"

typedef struct MsgWinData {
	struct MsgWinData *next;
	struct MsgWinData *prev;
	int x;
	int y;
	OC *oc;
	wchar_t *text;
	int len;
	int width;
	int height;
	int lbear;
	int rbear;
	int ascent;
	int descent;
} MsgWinData;

void
msgwin_expose(MessageWin *msg, MegWinData *l, int x, int y, int w, int h)
{
	MsgWinData *p = l;
	while (p != NULL) {
		if (x < (p->x + p->width)
			&& (x + w) > p->x
			&& y < (p->y + p->height)
			&& (y + h) > p->y) {

			WcDrawString(msg->dpy, msg->win, p->oc, p->gc,
						 msg->off_x + x, msg->off_y + y,
						 p->text, p->len);
		}
		p = p->next;
	}
}

msgwin_parse_text(MessageWin *msg, char *data)
{
}
