#ifndef _timer_h_
#define _timer_h_

#include <sys/types.h>

typedef struct TimerDat {
	struct TimerDat *next;
	void *data;
	u_int interval;
} TimerDat, *TimerDatList;

struct Frame;

TimerDat *timer_new(void);
void timer_delete(TimerDat *p);
void timerlist_delete(TimerDatList l);
void timer_entry(TimerDatList list, void *data);
void timer_reentry(TimerDatList list, void *data, TimerDat *new, int interval);

#endif
