#include "xwchar.h"
#include "xlocale.h"

int    _ISO2022_init      __P((_LocaleInfo *loc));

extern mbstate_t _mblen_state;
extern mbstate_t _mbtowc_state;
extern mbstate_t _wctomb_state;

_LocaleInfo *_CurrentLocaleInfo = NULL;

void _SetLocaleInfo(_LocaleInfo *loc)
{
	_mb_cur_max_ = loc->mbcurmax;
	_mbrtowc_  = loc->mbrtowc;
	_wcrtomb_  = loc->wcrtomb;
	_mbsinit_  = loc->mbsinit;
#if 0
	loc->stateinit(&_mblen_state);
	loc->stateinit(&_mbtowc_state);
	loc->stateinit(&_wctomb_state);
#endif
	_CurrentLocaleInfo = loc;
}

/* XXX */
void mysetlocale(int type)
{
	static _LocaleInfo loc = 
		{NULL, NULL, 1, NULL, NULL, NULL, NULL, NULL, NULL };
	_ISO2022_init(&loc);
	_SetLocaleInfo(&loc);
}
