#ifndef _msgpack_h_
#define _msgpack_h_

#include <X11/Intrinsic.h>

typedef struct MsgPacket {
	struct MsgPacket *next;
	void *buf;
	void *p;
	int len;
} MsgPacket, *MsgPacketList;

MsgPacket* msgpacket_new(void *data, int len);
void msgpacket_delete(MsgPacket *p);
void msgpacketlist_delete(MsgPacketList l);

#endif
