#ifndef _parse_h_
#define _parse_h_

#include "frame.h"

int parse_size(char *val, int max);

void frame_parse(Frame *f);
void frame_parse_string(Frame *f, Tag *tag);
void frame_parse_close_tag(Frame *f, Tag *tag);
void frame_parse_tag(Frame *f, Tag *tag);

/* parse2.c */
void frame_parse_body(Frame *f, Tag *tag);
void frame_parse_image(Frame *f, Tag *tag);
void frame_parse_hr(Frame *f, Tag *tag);
void frame_parse_anchor(Frame *f, Tag *tag);

void frame_parse_font(Frame *f, Tag *tag);
void frame_parse_div(Frame *f, Tag *tag);
void frame_parse_ul(Frame *f, Tag *tag);

/* parse3.c */
void frame_parse_text(Frame *f, Tag *tag);

/* disp.c */
void frame_disp_init(Frame *f);
void frame_disp_all(Frame *f);
void frame_disp_area(Frame *f, int x, int y, int w, int h);

#endif
